Choose your host:
Netscape Navigator 4 required, Shockwave Flash and MIDI plugins recommended
Or use one of the following interfaces if you're feeling a little less adventurous:
NET.ART KITSCH FORM PICTURES TEXT
Netscape Navigator 4 recommended
Internet Explorer 4 compatible
Netscape Navigator 3 compatible Netscape Navigator 2 compatible any browser